algorithmic modeling for Rhino
Tags:
Private Sub RunScript(ByVal x As Curve, ByVal y As Curve, ByRef A As Object)
Dim ccx As Rhino.Geometry.Intersect.CurveIntersections = Rhino.Geometry.Intersect.Intersection.CurveCurve(x, y, 0.01, 0.01)
If (ccx Is Nothing) Then
Print("No intersections found")
Return
End If
Print("{0} intesection(s) found", ccx.Count)
Dim pts As New List(Of Point3d)
For i As Integer = 0 To ccx.Count - 1
pts.Add(x.PointAt(ccx(i).ParameterA))
Next
A = pts
End Sub
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by